AVR ISP Mkii firmware upgrade

Started by timewaster, September 30, 2018, 05:37:10 am

Previous topic - Next topic

timewaster

September 30, 2018, 05:37:10 am Last Edit: September 30, 2018, 09:30:50 am by timewaster
Hi

I am using ATMEL studio 7. I on windows 10 note here that the original AVR MKII Atmel programmer works fine.  However, when I go to use either of the 2 olimex AVR ISP Mkii programmers, I get a message that the firmware must be upgraded. Therefore the programmer is recognised and working but I can't program with it.

Working from page 23 of the user manual, I get down to the point 3) "the device should now be recognized as  AT90USB162 under "libusb-win32" tab".  Yes, this is there under ATMEL as follows:
Driver service added (libusb(0))
And
Driver Management concluded the process to install driver atmel_usb_dfu.inf_amd64_aeed7284ffe79c19 for Device Instance ID USB\VID_03EB&PID_2FFA\6&3AB9F457&0&3 with the following status: 0x0.

BUT... in device manager, this driver has been stopped with the following message:

Windows has stopped this device because it has reported problems. (Code 43)  A request for the USB BOS descriptor failed.

I have tried removing and reloading drivers, searching for newer drivers, but I cannot get this driver to install properly. 

Does anyone have a solution to this?

Thanks

LubOlimex

What is the exact text of the message that you get in Atmel Studio 7 initially?

Try the following: go to Tools -> Options -> Tools -> Tool Settings -> Check Firmware -> False. (shown here: https://i.imgur.com/XWjed2c.jpg ) and test again.
Technical support and documentation manager at Olimex